/*
 * Copyright 2011 E-Government Innovation Center (EGIZ)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package at.gv.zustellung.zusemsg.config;

import java.io.IOException;

import at.gv.util.ssl.JaxWsSSLConfiguration;

public interface ZuseMsgConfiguration {

	JaxWsSSLConfiguration getSSLConfiguration();
	
	String getZusContainerName();
	String getZusEntryName();
	
	Zuse2AppConfiguration getZuse2AppConfiguration() throws IOException;
	
}
