
package at.gv.zustellung.zusemsg.xsd.zuse;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Abstrakter Antwort Typ
 * 
 * <p>Java class for DeliveryAnswerType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeliveryAnswerType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="DeliveryService" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}string255"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/zustellung/msg}AppDeliveryID"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/zustellung/msg}GZ" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/zustellung/msg}MZSDeliveryID" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/zustellung/msg}ZSDeliveryID"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeliveryAnswerType", propOrder = {
    "deliveryService",
    "appDeliveryID",
    "gz",
    "mzsDeliveryID",
    "zsDeliveryID"
})
@XmlSeeAlso({
    at.gv.zustellung.zusemsg.xsd.zuse.DeliveryRequestStatusType.Error.class,
    at.gv.zustellung.zusemsg.xsd.zuse.DeliveryNotificationType.Success.class,
    at.gv.zustellung.zusemsg.xsd.zuse.DeliveryNotificationType.Error.class
})
public class DeliveryAnswerType {

    @XmlElement(name = "DeliveryService", required = true)
    protected String deliveryService;
    @XmlElement(name = "AppDeliveryID", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String appDeliveryID;
    @XmlElement(name = "GZ")
    protected String gz;
    @XmlElement(name = "MZSDeliveryID")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String mzsDeliveryID;
    @XmlElement(name = "ZSDeliveryID", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String zsDeliveryID;

    /**
     * Gets the value of the deliveryService property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeliveryService() {
        return deliveryService;
    }

    /**
     * Sets the value of the deliveryService property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeliveryService(String value) {
        this.deliveryService = value;
    }

    /**
     * Gets the value of the appDeliveryID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAppDeliveryID() {
        return appDeliveryID;
    }

    /**
     * Sets the value of the appDeliveryID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAppDeliveryID(String value) {
        this.appDeliveryID = value;
    }

    /**
     * Gets the value of the gz property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGZ() {
        return gz;
    }

    /**
     * Sets the value of the gz property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGZ(String value) {
        this.gz = value;
    }

    /**
     * Gets the value of the mzsDeliveryID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMZSDeliveryID() {
        return mzsDeliveryID;
    }

    /**
     * Sets the value of the mzsDeliveryID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMZSDeliveryID(String value) {
        this.mzsDeliveryID = value;
    }

    /**
     * Gets the value of the zsDeliveryID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getZSDeliveryID() {
        return zsDeliveryID;
    }

    /**
     * Sets the value of the zsDeliveryID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setZSDeliveryID(String value) {
        this.zsDeliveryID = value;
    }

}
