
package at.gv.zustellung.zusemsg.xsd.zuse;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for DeliveryRequestStatusType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeliveryRequestStatusType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="Success" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}DeliveryAnswerType"/>
 *         &lt;element name="PartialSuccess" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}DeliveryAnswerType"/>
 *         &lt;element name="Error">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{http://reference.e-government.gv.at/namespace/zustellung/msg}DeliveryAnswerType">
 *                 &lt;sequence>
 *                   &lt;element name="ErrorInfo">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="Code" type="{http://www.w3.org/2001/XMLSchema}positiveInteger"/>
 *                             &lt;element name="Text" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}string255"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/choice>
 *       &lt;attribute name="version">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://reference.e-government.gv.at/namespace/zustellung/msg}token255">
 *             &lt;enumeration value="1.3.0"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeliveryRequestStatusType", propOrder = {
    "success",
    "partialSuccess",
    "error"
})
@XmlSeeAlso({
    DeliveryRequestStatus.class
})
public class DeliveryRequestStatusType {

    @XmlElement(name = "Success")
    protected DeliveryAnswerType success;
    @XmlElement(name = "PartialSuccess")
    protected DeliveryAnswerType partialSuccess;
    @XmlElement(name = "Error")
    protected DeliveryRequestStatusType.Error error;
    @XmlAttribute
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String version;

    /**
     * Gets the value of the success property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryAnswerType }
     *     
     */
    public DeliveryAnswerType getSuccess() {
        return success;
    }

    /**
     * Sets the value of the success property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryAnswerType }
     *     
     */
    public void setSuccess(DeliveryAnswerType value) {
        this.success = value;
    }

    /**
     * Gets the value of the partialSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryAnswerType }
     *     
     */
    public DeliveryAnswerType getPartialSuccess() {
        return partialSuccess;
    }

    /**
     * Sets the value of the partialSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryAnswerType }
     *     
     */
    public void setPartialSuccess(DeliveryAnswerType value) {
        this.partialSuccess = value;
    }

    /**
     * Gets the value of the error property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryRequestStatusType.Error }
     *     
     */
    public DeliveryRequestStatusType.Error getError() {
        return error;
    }

    /**
     * Sets the value of the error property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryRequestStatusType.Error }
     *     
     */
    public void setError(DeliveryRequestStatusType.Error value) {
        this.error = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{http://reference.e-government.gv.at/namespace/zustellung/msg}DeliveryAnswerType">
     *       &lt;sequence>
     *         &lt;element name="ErrorInfo">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="Code" type="{http://www.w3.org/2001/XMLSchema}positiveInteger"/>
     *                   &lt;element name="Text" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}string255"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "errorInfo"
    })
    public static class Error
        extends DeliveryAnswerType
    {

        @XmlElement(name = "ErrorInfo", required = true)
        protected DeliveryRequestStatusType.Error.ErrorInfo errorInfo;

        /**
         * Gets the value of the errorInfo property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryRequestStatusType.Error.ErrorInfo }
         *     
         */
        public DeliveryRequestStatusType.Error.ErrorInfo getErrorInfo() {
            return errorInfo;
        }

        /**
         * Sets the value of the errorInfo property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryRequestStatusType.Error.ErrorInfo }
         *     
         */
        public void setErrorInfo(DeliveryRequestStatusType.Error.ErrorInfo value) {
            this.errorInfo = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="Code" type="{http://www.w3.org/2001/XMLSchema}positiveInteger"/>
         *         &lt;element name="Text" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}string255"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "code",
            "text"
        })
        public static class ErrorInfo {

            @XmlElement(name = "Code", required = true)
            @XmlSchemaType(name = "positiveInteger")
            protected BigInteger code;
            @XmlElement(name = "Text", required = true)
            protected String text;

            /**
             * Gets the value of the code property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getCode() {
                return code;
            }

            /**
             * Sets the value of the code property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setCode(BigInteger value) {
                this.code = value;
            }

            /**
             * Gets the value of the text property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getText() {
                return text;
            }

            /**
             * Sets the value of the text property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setText(String value) {
                this.text = value;
            }

        }

    }

}
