
package at.gv.zustellung.zusemsg.xsd.zuse;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.zustellung.zusemsg.xsd.zuse package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GZ_QNAME = new QName("http://reference.e-government.gv.at/namespace/zustellung/msg", "GZ");
    private final static QName _MZSDeliveryID_QNAME = new QName("http://reference.e-government.gv.at/namespace/zustellung/msg", "MZSDeliveryID");
    private final static QName _DeliveryRequest_QNAME = new QName("http://reference.e-government.gv.at/namespace/zustellung/msg", "DeliveryRequest");
    private final static QName _ZSDeliveryID_QNAME = new QName("http://reference.e-government.gv.at/namespace/zustellung/msg", "ZSDeliveryID");
    private final static QName _AppDeliveryID_QNAME = new QName("http://reference.e-government.gv.at/namespace/zustellung/msg", "AppDeliveryID");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.zustellung.zusemsg.xsd.zuse
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DeliveryRequestStatusType.Error }
     * 
     */
    public DeliveryRequestStatusType.Error createDeliveryRequestStatusTypeError() {
        return new DeliveryRequestStatusType.Error();
    }

    /**
     * Create an instance of {@link DeliveryRequestStatus }
     * 
     */
    public DeliveryRequestStatus createDeliveryRequestStatus() {
        return new DeliveryRequestStatus();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.NotificationAddress }
     * 
     */
    public DeliveryRequestType.NotificationAddress createDeliveryRequestTypeNotificationAddress() {
        return new DeliveryRequestType.NotificationAddress();
    }

    /**
     * Create an instance of {@link DeliveryNotificationType }
     * 
     */
    public DeliveryNotificationType createDeliveryNotificationType() {
        return new DeliveryNotificationType();
    }

    /**
     * Create an instance of {@link DeliveryRequestStatusACKType }
     * 
     */
    public DeliveryRequestStatusACKType createDeliveryRequestStatusACKType() {
        return new DeliveryRequestStatusACKType();
    }

    /**
     * Create an instance of {@link DeliveryNotificationType.Success.NotificationsPerformed }
     * 
     */
    public DeliveryNotificationType.Success.NotificationsPerformed createDeliveryNotificationTypeSuccessNotificationsPerformed() {
        return new DeliveryNotificationType.Success.NotificationsPerformed();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.MetaData }
     * 
     */
    public DeliveryRequestType.MetaData createDeliveryRequestTypeMetaData() {
        return new DeliveryRequestType.MetaData();
    }

    /**
     * Create an instance of {@link DeliveryNotificationType.Success }
     * 
     */
    public DeliveryNotificationType.Success createDeliveryNotificationTypeSuccess() {
        return new DeliveryNotificationType.Success();
    }

    /**
     * Create an instance of {@link DeliveryRequestType }
     * 
     */
    public DeliveryRequestType createDeliveryRequestType() {
        return new DeliveryRequestType();
    }

    /**
     * Create an instance of {@link DeliveryAnswerType }
     * 
     */
    public DeliveryAnswerType createDeliveryAnswerType() {
        return new DeliveryAnswerType();
    }

    /**
     * Create an instance of {@link DeliveryNotificationACK }
     * 
     */
    public DeliveryNotificationACK createDeliveryNotificationACK() {
        return new DeliveryNotificationACK();
    }

    /**
     * Create an instance of {@link DeliveryNotificationType.Error }
     * 
     */
    public DeliveryNotificationType.Error createDeliveryNotificationTypeError() {
        return new DeliveryNotificationType.Error();
    }

    /**
     * Create an instance of {@link DeliveryRequestStatusType }
     * 
     */
    public DeliveryRequestStatusType createDeliveryRequestStatusType() {
        return new DeliveryRequestStatusType();
    }

    /**
     * Create an instance of {@link DeliveryNotificationACKType }
     * 
     */
    public DeliveryNotificationACKType createDeliveryNotificationACKType() {
        return new DeliveryNotificationACKType();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.CustomNotificationIntervals }
     * 
     */
    public DeliveryRequestType.CustomNotificationIntervals createDeliveryRequestTypeCustomNotificationIntervals() {
        return new DeliveryRequestType.CustomNotificationIntervals();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.CustomNotificationIntervals.RecipientNotification }
     * 
     */
    public DeliveryRequestType.CustomNotificationIntervals.RecipientNotification createDeliveryRequestTypeCustomNotificationIntervalsRecipientNotification() {
        return new DeliveryRequestType.CustomNotificationIntervals.RecipientNotification();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.Identification }
     * 
     */
    public DeliveryRequestType.Identification createDeliveryRequestTypeIdentification() {
        return new DeliveryRequestType.Identification();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.DocumentReference }
     * 
     */
    public DeliveryRequestType.DocumentReference createDeliveryRequestTypeDocumentReference() {
        return new DeliveryRequestType.DocumentReference();
    }

    /**
     * Create an instance of {@link Sender.Organisation }
     * 
     */
    public Sender.Organisation createSenderOrganisation() {
        return new Sender.Organisation();
    }

    /**
     * Create an instance of {@link DeliveryRequestStatusACK }
     * 
     */
    public DeliveryRequestStatusACK createDeliveryRequestStatusACK() {
        return new DeliveryRequestStatusACK();
    }

    /**
     * Create an instance of {@link Sender }
     * 
     */
    public Sender createSender() {
        return new Sender();
    }

    /**
     * Create an instance of {@link DeliveryNotificationType.Success.NotificationsPerformed.RecipientNotification }
     * 
     */
    public DeliveryNotificationType.Success.NotificationsPerformed.RecipientNotification createDeliveryNotificationTypeSuccessNotificationsPerformedRecipientNotification() {
        return new DeliveryNotificationType.Success.NotificationsPerformed.RecipientNotification();
    }

    /**
     * Create an instance of {@link Receiver }
     * 
     */
    public Receiver createReceiver() {
        return new Receiver();
    }

    /**
     * Create an instance of {@link DeliveryRequestStatusType.Error.ErrorInfo }
     * 
     */
    public DeliveryRequestStatusType.Error.ErrorInfo createDeliveryRequestStatusTypeErrorErrorInfo() {
        return new DeliveryRequestStatusType.Error.ErrorInfo();
    }

    /**
     * Create an instance of {@link DeliveryNotification }
     * 
     */
    public DeliveryNotification createDeliveryNotification() {
        return new DeliveryNotification();
    }

    /**
     * Create an instance of {@link DeliveryNotificationType.Error.NotificationsPerformed.RecipientNotification }
     * 
     */
    public DeliveryNotificationType.Error.NotificationsPerformed.RecipientNotification createDeliveryNotificationTypeErrorNotificationsPerformedRecipientNotification() {
        return new DeliveryNotificationType.Error.NotificationsPerformed.RecipientNotification();
    }

    /**
     * Create an instance of {@link DeliveryNotificationType.Error.ErrorInfo }
     * 
     */
    public DeliveryNotificationType.Error.ErrorInfo createDeliveryNotificationTypeErrorErrorInfo() {
        return new DeliveryNotificationType.Error.ErrorInfo();
    }

    /**
     * Create an instance of {@link DeliveryNotificationType.Error.NotificationsPerformed }
     * 
     */
    public DeliveryNotificationType.Error.NotificationsPerformed createDeliveryNotificationTypeErrorNotificationsPerformed() {
        return new DeliveryNotificationType.Error.NotificationsPerformed();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/zustellung/msg", name = "GZ")
    public JAXBElement<String> createGZ(String value) {
        return new JAXBElement<String>(_GZ_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/zustellung/msg", name = "MZSDeliveryID")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createMZSDeliveryID(String value) {
        return new JAXBElement<String>(_MZSDeliveryID_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeliveryRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/zustellung/msg", name = "DeliveryRequest")
    public JAXBElement<DeliveryRequestType> createDeliveryRequest(DeliveryRequestType value) {
        return new JAXBElement<DeliveryRequestType>(_DeliveryRequest_QNAME, DeliveryRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/zustellung/msg", name = "ZSDeliveryID")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createZSDeliveryID(String value) {
        return new JAXBElement<String>(_ZSDeliveryID_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/zustellung/msg", name = "AppDeliveryID")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createAppDeliveryID(String value) {
        return new JAXBElement<String>(_AppDeliveryID_QNAME, String.class, null, value);
    }

}
