
package at.gv.zustellung.zusemsg.xsd.zuse;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.Duration;
import javax.xml.datatype.XMLGregorianCalendar;
import at.gv.zustellung.zusemsg.xsd.zuse_persondata.InternetAddressType;


/**
 * <p>Java class for DeliveryRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeliveryRequestType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="ZbPK" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}token255"/>
 *           &lt;element name="edID" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}token255"/>
 *           &lt;element name="Identification">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                     &lt;element name="Value" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *         &lt;/choice>
 *         &lt;element name="NotificationAddress">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;choice>
 *                   &lt;element name="WebserviceURL" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *                   &lt;element name="Email" type="{http://reference.e-government.gv.at/namespace/persondata/20020228#}InternetAddressType"/>
 *                 &lt;/choice>
 *                 &lt;attribute name="Type" type="{http://www.w3.org/2001/XMLSchema}string" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/zustellung/msg}Sender"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/zustellung/msg}Receiver" minOccurs="0"/>
 *         &lt;element name="MetaData">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element ref="{http://reference.e-government.gv.at/namespace/zustellung/msg}AppDeliveryID"/>
 *                   &lt;element ref="{http://reference.e-government.gv.at/namespace/zustellung/msg}GZ" minOccurs="0"/>
 *                   &lt;element ref="{http://reference.e-government.gv.at/namespace/zustellung/msg}MZSDeliveryID"/>
 *                   &lt;element name="DeliveryQuality" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}token255"/>
 *                   &lt;element name="StartNotificationBefore" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *                   &lt;element name="DeliverBefore" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="DocumentReference" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="URL" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *                   &lt;element name="MimeType" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}token255" minOccurs="0"/>
 *                   &lt;element name="FileName" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}string255" minOccurs="0"/>
 *                   &lt;element name="MD5Checksum" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}token255" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="CustomNotificationIntervals" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="RecipientNotification" maxOccurs="3" minOccurs="3">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="NotificationMethod" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}token255"/>
 *                             &lt;element name="TimeSinceDisposal" type="{http://www.w3.org/2001/XMLSchema}duration"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="version">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://reference.e-government.gv.at/namespace/zustellung/msg}token255">
 *             &lt;pattern value="1.3.0"/>
 *             &lt;enumeration value="1.3.0"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeliveryRequestType", propOrder = {
    "zbPK",
    "edID",
    "identification",
    "notificationAddress",
    "sender",
    "receiver",
    "metaData",
    "documentReference",
    "customNotificationIntervals"
})
public class DeliveryRequestType {

    @XmlElement(name = "ZbPK")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String zbPK;
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String edID;
    @XmlElement(name = "Identification")
    protected DeliveryRequestType.Identification identification;
    @XmlElement(name = "NotificationAddress", required = true)
    protected DeliveryRequestType.NotificationAddress notificationAddress;
    @XmlElement(name = "Sender", required = true)
    protected Sender sender;
    @XmlElement(name = "Receiver")
    protected Receiver receiver;
    @XmlElement(name = "MetaData", required = true)
    protected DeliveryRequestType.MetaData metaData;
    @XmlElement(name = "DocumentReference")
    protected DeliveryRequestType.DocumentReference documentReference;
    @XmlElement(name = "CustomNotificationIntervals")
    protected DeliveryRequestType.CustomNotificationIntervals customNotificationIntervals;
    @XmlAttribute
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String version;

    /**
     * Gets the value of the zbPK property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getZbPK() {
        return zbPK;
    }

    /**
     * Sets the value of the zbPK property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setZbPK(String value) {
        this.zbPK = value;
    }

    /**
     * Gets the value of the edID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEdID() {
        return edID;
    }

    /**
     * Sets the value of the edID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEdID(String value) {
        this.edID = value;
    }

    /**
     * Gets the value of the identification property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryRequestType.Identification }
     *     
     */
    public DeliveryRequestType.Identification getIdentification() {
        return identification;
    }

    /**
     * Sets the value of the identification property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryRequestType.Identification }
     *     
     */
    public void setIdentification(DeliveryRequestType.Identification value) {
        this.identification = value;
    }

    /**
     * Gets the value of the notificationAddress property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryRequestType.NotificationAddress }
     *     
     */
    public DeliveryRequestType.NotificationAddress getNotificationAddress() {
        return notificationAddress;
    }

    /**
     * Sets the value of the notificationAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryRequestType.NotificationAddress }
     *     
     */
    public void setNotificationAddress(DeliveryRequestType.NotificationAddress value) {
        this.notificationAddress = value;
    }

    /**
     * Gets the value of the sender property.
     * 
     * @return
     *     possible object is
     *     {@link Sender }
     *     
     */
    public Sender getSender() {
        return sender;
    }

    /**
     * Sets the value of the sender property.
     * 
     * @param value
     *     allowed object is
     *     {@link Sender }
     *     
     */
    public void setSender(Sender value) {
        this.sender = value;
    }

    /**
     * Gets the value of the receiver property.
     * 
     * @return
     *     possible object is
     *     {@link Receiver }
     *     
     */
    public Receiver getReceiver() {
        return receiver;
    }

    /**
     * Sets the value of the receiver property.
     * 
     * @param value
     *     allowed object is
     *     {@link Receiver }
     *     
     */
    public void setReceiver(Receiver value) {
        this.receiver = value;
    }

    /**
     * Gets the value of the metaData property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryRequestType.MetaData }
     *     
     */
    public DeliveryRequestType.MetaData getMetaData() {
        return metaData;
    }

    /**
     * Sets the value of the metaData property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryRequestType.MetaData }
     *     
     */
    public void setMetaData(DeliveryRequestType.MetaData value) {
        this.metaData = value;
    }

    /**
     * Gets the value of the documentReference property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryRequestType.DocumentReference }
     *     
     */
    public DeliveryRequestType.DocumentReference getDocumentReference() {
        return documentReference;
    }

    /**
     * Sets the value of the documentReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryRequestType.DocumentReference }
     *     
     */
    public void setDocumentReference(DeliveryRequestType.DocumentReference value) {
        this.documentReference = value;
    }

    /**
     * Gets the value of the customNotificationIntervals property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryRequestType.CustomNotificationIntervals }
     *     
     */
    public DeliveryRequestType.CustomNotificationIntervals getCustomNotificationIntervals() {
        return customNotificationIntervals;
    }

    /**
     * Sets the value of the customNotificationIntervals property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryRequestType.CustomNotificationIntervals }
     *     
     */
    public void setCustomNotificationIntervals(DeliveryRequestType.CustomNotificationIntervals value) {
        this.customNotificationIntervals = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="RecipientNotification" maxOccurs="3" minOccurs="3">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="NotificationMethod" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}token255"/>
     *                   &lt;element name="TimeSinceDisposal" type="{http://www.w3.org/2001/XMLSchema}duration"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "recipientNotification"
    })
    public static class CustomNotificationIntervals {

        @XmlElement(name = "RecipientNotification", required = true)
        protected List<DeliveryRequestType.CustomNotificationIntervals.RecipientNotification> recipientNotification;

        /**
         * Gets the value of the recipientNotification property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the recipientNotification property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRecipientNotification().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link DeliveryRequestType.CustomNotificationIntervals.RecipientNotification }
         * 
         * 
         */
        public List<DeliveryRequestType.CustomNotificationIntervals.RecipientNotification> getRecipientNotification() {
            if (recipientNotification == null) {
                recipientNotification = new ArrayList<DeliveryRequestType.CustomNotificationIntervals.RecipientNotification>();
            }
            return this.recipientNotification;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="NotificationMethod" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}token255"/>
         *         &lt;element name="TimeSinceDisposal" type="{http://www.w3.org/2001/XMLSchema}duration"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "notificationMethod",
            "timeSinceDisposal"
        })
        public static class RecipientNotification {

            @XmlElement(name = "NotificationMethod", required = true)
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            protected String notificationMethod;
            @XmlElement(name = "TimeSinceDisposal", required = true)
            protected Duration timeSinceDisposal;

            /**
             * Gets the value of the notificationMethod property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getNotificationMethod() {
                return notificationMethod;
            }

            /**
             * Sets the value of the notificationMethod property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setNotificationMethod(String value) {
                this.notificationMethod = value;
            }

            /**
             * Gets the value of the timeSinceDisposal property.
             * 
             * @return
             *     possible object is
             *     {@link Duration }
             *     
             */
            public Duration getTimeSinceDisposal() {
                return timeSinceDisposal;
            }

            /**
             * Sets the value of the timeSinceDisposal property.
             * 
             * @param value
             *     allowed object is
             *     {@link Duration }
             *     
             */
            public void setTimeSinceDisposal(Duration value) {
                this.timeSinceDisposal = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="URL" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
     *         &lt;element name="MimeType" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}token255" minOccurs="0"/>
     *         &lt;element name="FileName" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}string255" minOccurs="0"/>
     *         &lt;element name="MD5Checksum" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}token255" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "url",
        "mimeType",
        "fileName",
        "md5Checksum"
    })
    public static class DocumentReference {

        @XmlElement(name = "URL", required = true)
        @XmlSchemaType(name = "anyURI")
        protected String url;
        @XmlElement(name = "MimeType")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        protected String mimeType;
        @XmlElement(name = "FileName")
        protected String fileName;
        @XmlElement(name = "MD5Checksum")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        protected String md5Checksum;

        /**
         * Gets the value of the url property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getURL() {
            return url;
        }

        /**
         * Sets the value of the url property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setURL(String value) {
            this.url = value;
        }

        /**
         * Gets the value of the mimeType property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMimeType() {
            return mimeType;
        }

        /**
         * Sets the value of the mimeType property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMimeType(String value) {
            this.mimeType = value;
        }

        /**
         * Gets the value of the fileName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getFileName() {
            return fileName;
        }

        /**
         * Sets the value of the fileName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setFileName(String value) {
            this.fileName = value;
        }

        /**
         * Gets the value of the md5Checksum property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMD5Checksum() {
            return md5Checksum;
        }

        /**
         * Sets the value of the md5Checksum property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMD5Checksum(String value) {
            this.md5Checksum = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="Value" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "type",
        "value"
    })
    public static class Identification {

        @XmlElement(name = "Type", required = true)
        protected String type;
        @XmlElement(name = "Value", required = true)
        protected String value;

        /**
         * Gets the value of the type property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getType() {
            return type;
        }

        /**
         * Sets the value of the type property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setType(String value) {
            this.type = value;
        }

        /**
         * Gets the value of the value property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setValue(String value) {
            this.value = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element ref="{http://reference.e-government.gv.at/namespace/zustellung/msg}AppDeliveryID"/>
     *         &lt;element ref="{http://reference.e-government.gv.at/namespace/zustellung/msg}GZ" minOccurs="0"/>
     *         &lt;element ref="{http://reference.e-government.gv.at/namespace/zustellung/msg}MZSDeliveryID"/>
     *         &lt;element name="DeliveryQuality" type="{http://reference.e-government.gv.at/namespace/zustellung/msg}token255"/>
     *         &lt;element name="StartNotificationBefore" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
     *         &lt;element name="DeliverBefore" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "appDeliveryID",
        "gz",
        "mzsDeliveryID",
        "deliveryQuality",
        "startNotificationBefore",
        "deliverBefore"
    })
    public static class MetaData {

        @XmlElement(name = "AppDeliveryID", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        protected String appDeliveryID;
        @XmlElement(name = "GZ")
        protected String gz;
        @XmlElement(name = "MZSDeliveryID", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        protected String mzsDeliveryID;
        @XmlElement(name = "DeliveryQuality", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        protected String deliveryQuality;
        @XmlElement(name = "StartNotificationBefore")
        @XmlSchemaType(name = "dateTime")
        protected XMLGregorianCalendar startNotificationBefore;
        @XmlElement(name = "DeliverBefore")
        @XmlSchemaType(name = "dateTime")
        protected XMLGregorianCalendar deliverBefore;

        /**
         * Gets the value of the appDeliveryID property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getAppDeliveryID() {
            return appDeliveryID;
        }

        /**
         * Sets the value of the appDeliveryID property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setAppDeliveryID(String value) {
            this.appDeliveryID = value;
        }

        /**
         * Gets the value of the gz property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getGZ() {
            return gz;
        }

        /**
         * Sets the value of the gz property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setGZ(String value) {
            this.gz = value;
        }

        /**
         * Gets the value of the mzsDeliveryID property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMZSDeliveryID() {
            return mzsDeliveryID;
        }

        /**
         * Sets the value of the mzsDeliveryID property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMZSDeliveryID(String value) {
            this.mzsDeliveryID = value;
        }

        /**
         * Gets the value of the deliveryQuality property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDeliveryQuality() {
            return deliveryQuality;
        }

        /**
         * Sets the value of the deliveryQuality property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDeliveryQuality(String value) {
            this.deliveryQuality = value;
        }

        /**
         * Gets the value of the startNotificationBefore property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getStartNotificationBefore() {
            return startNotificationBefore;
        }

        /**
         * Sets the value of the startNotificationBefore property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setStartNotificationBefore(XMLGregorianCalendar value) {
            this.startNotificationBefore = value;
        }

        /**
         * Gets the value of the deliverBefore property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getDeliverBefore() {
            return deliverBefore;
        }

        /**
         * Sets the value of the deliverBefore property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setDeliverBefore(XMLGregorianCalendar value) {
            this.deliverBefore = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;choice>
     *         &lt;element name="WebserviceURL" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
     *         &lt;element name="Email" type="{http://reference.e-government.gv.at/namespace/persondata/20020228#}InternetAddressType"/>
     *       &lt;/choice>
     *       &lt;attribute name="Type" type="{http://www.w3.org/2001/XMLSchema}string" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "webserviceURL",
        "email"
    })
    public static class NotificationAddress {

        @XmlElement(name = "WebserviceURL")
        @XmlSchemaType(name = "anyURI")
        protected String webserviceURL;
        @XmlElement(name = "Email")
        protected InternetAddressType email;
        @XmlAttribute(name = "Type")
        protected String type;

        /**
         * Gets the value of the webserviceURL property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getWebserviceURL() {
            return webserviceURL;
        }

        /**
         * Sets the value of the webserviceURL property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setWebserviceURL(String value) {
            this.webserviceURL = value;
        }

        /**
         * Gets the value of the email property.
         * 
         * @return
         *     possible object is
         *     {@link InternetAddressType }
         *     
         */
        public InternetAddressType getEmail() {
            return email;
        }

        /**
         * Sets the value of the email property.
         * 
         * @param value
         *     allowed object is
         *     {@link InternetAddressType }
         *     
         */
        public void setEmail(InternetAddressType value) {
            this.email = value;
        }

        /**
         * Gets the value of the type property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getType() {
            return type;
        }

        /**
         * Sets the value of the type property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setType(String value) {
            this.type = value;
        }

    }

}
